1. Overview
Manage Akuiteo sales domain by REST Api
1.1. Version information
Version : 2.0.0
1.2. Contact information
Contact Email : admin@akuiteo.com
1.3. License information
License : Commercial
License URL : https://www.akuiteo.com/mentions-legales
Terms of service : null
1.4. URI scheme
Host : api.akuiteo.fr
BasePath : /akuiteo/rest/sales
Schemes : HTTPS
1.5. Tags
-
Billing Tables : Billing Tables
-
Invoices : Invoices
-
Orders : Orders
-
Quotations : Quotations
-
Sales : Sales Management
-
Time-based Billing : Time-based Billing
1.6. Schemas Types
Data types of a schema can be :
-
string (date-time) : the date-time notation as defined by RFC 3339 (
yyyy-MM-dd’T’HH:mm:ss.SSSXXX). e.g. "2020-11-29T08:10:10+200" -
number : Any numbers.
-
number (double) : Floating-point numbers with double precision. e.g. 10.8
-
number (float) : Floating-point numbers. e.g. 10.8
-
integer (int64) : Signed 64-bit integers (long type). e.g. 10
-
boolean : Represents two values: true and false. Note that truthy and falsy values such as "true", "", 0 or null are not considered boolean values.
2. Resources
2.1. Billing Tables
Billing Tables
2.1.1. Force VAT Amounts on a billing table
POST /billing-table/{billing_table_id}/force-vat-amount
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
billing_table_id |
The id of a billing table |
string |
Body |
forced_vat_amount_list |
Information to force VAT amount on billing table lines |
< ForcedVatAmountHolder > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Return true if one or more billing table line have been modified |
boolean |
Consumes
-
application/json
Produces
-
application/json
2.2. Invoices
Invoices
2.2.1. Force VAT Amounts on the invoice
POST /invoices/{invoice_id}/force-vat-amount
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
invoice_id |
The id of the sales invoice |
string |
Body |
forced_vat_amount_list |
Information to force VAT amount on invoice lines |
< ForcedVatAmountHolder > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Return true if one or more invoice have been modified |
boolean |
Consumes
-
application/json
Produces
-
application/json
2.3. Orders
Orders
2.3.1. Force VAT Amounts on the order
POST /orders/{sales_order_id}/force-vat-amount
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
sales_order_id |
The id of the sales order |
string |
Body |
forced_vat_amount_list |
Information to force VAT amount on order lines |
< ForcedVatAmountHolder > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Return true if one or more order lines have been modified |
boolean |
Consumes
-
application/json
Produces
-
application/json
2.4. Quotations
Quotations
2.4.1. Force VAT Amounts on the quotation
POST /quotations/{quotation_id}/force-vat-amount
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
quotation_id |
The id of the quotation |
string |
Body |
forced_vat_amount_list |
Information to force VAT amount on quotation lines |
< ForcedVatAmountHolder > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Return true if one or more quotation lines have been modified |
boolean |
Consumes
-
application/json
Produces
-
application/json
2.5. Sales
Sales Management
2.5.1. Force VAT Amounts on a billing table
POST /billing-table/{billing_table_id}/force-vat-amount
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
billing_table_id |
The id of a billing table |
string |
Body |
forced_vat_amount_list |
Information to force VAT amount on billing table lines |
< ForcedVatAmountHolder > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Return true if one or more billing table line have been modified |
boolean |
Consumes
-
application/json
Produces
-
application/json
2.5.2. Search for invoices (with search criteria)
POST /invoices/search
Description
Get the list of invoices matching the search criteria.
DMF required:
-
DMF AB0304: Search an invoices
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
Criteria that you choose (ID, Customer, etc…) |
Consumes
-
application/json
Produces
-
application/json
2.5.3. Book invoice
POST /invoices/{invoice_id}/book
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
invoice_id |
The id of the sales invoice |
string |
Body |
date |
The booking date |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Booked invoice number |
string |
Consumes
-
application/json
Produces
-
application/json
2.5.4. Force VAT Amounts on the invoice
POST /invoices/{invoice_id}/force-vat-amount
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
invoice_id |
The id of the sales invoice |
string |
Body |
forced_vat_amount_list |
Information to force VAT amount on invoice lines |
< ForcedVatAmountHolder > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Return true if one or more invoice have been modified |
boolean |
Consumes
-
application/json
Produces
-
application/json
2.5.5. Get expense receipts linked to an invoice
GET /invoices/{invoice_id}/get-linked-expense-receipt
Description
Get expense receipts of the invoice matching the given id.
DMF required:
-
DMF AB0305: Publish an invoice
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
invoice_id |
The id of the sales invoice |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Linked expense receipts |
< ExpenseReceiptSummary > array |
Consumes
-
application/json
Produces
-
application/json
2.5.6. Identify expenses rebilled to customers
POST /invoices/{invoice_id}/is-expense-rebill
Description
Return true if the invoice contains an expense which has been rebilled
DMF required:
-
DMF AB0305: Publish an invoice
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
invoice_id |
The id of the sales invoice |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Return true if the invoice is a rebill of an expense report |
boolean |
Consumes
-
application/json
Produces
-
application/json
2.5.7. Publish an invoice
POST /invoices/{invoice_id}/publish
Description
Publish an invoice using the template given as a parameter.
DMF required:
-
DMF AB0305: Publish an invoice
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
invoice_id |
The id of the sales invoice |
string |
Query |
join_expense_receipts |
True to join the receipts of the linked expenses in the published document |
boolean |
Body |
publish_arguments |
The arguments for publishing invoice |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Published document |
Consumes
-
application/json
Produces
-
application/json
2.5.8. Advanced search for orders
POST /orders/dashboard
Description
This API provides an advanced search for sales orders. The search results can be processed: categorization, groupings, total amounts..
DMF required:
-
DMF 020304: Search an order
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
search criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Sales order results successfully loaded |
< SalesOrderDashboardResult > array |
Consumes
-
application/json
Produces
-
application/json
2.5.9. Search for orders (with search criteria)
POST /orders/search
Description
Get the list of orders matching the search criteria.
DMF required:
-
DMF 020304: search an order.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
Criteria that you choose (ID, Customer, etc…) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Orders successfully loaded |
< SalesOrder > array |
Consumes
-
application/json
Produces
-
application/json
2.5.10. Search an order by its ID
GET /orders/{sales_order_id}
Description
Get the order matching the specified ID.
DMF required:
-
DMF 0203**: All features in the order module.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
sales_order_id |
The id of the sales order |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Order successfully loaded |
Produces
-
application/json
2.5.11. Force VAT Amounts on the order
POST /orders/{sales_order_id}/force-vat-amount
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
sales_order_id |
The id of the sales order |
string |
Body |
forced_vat_amount_list |
Information to force VAT amount on order lines |
< ForcedVatAmountHolder > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Return true if one or more order lines have been modified |
boolean |
Consumes
-
application/json
Produces
-
application/json
2.5.12. Publish an order
POST /orders/{sales_order_id}/publish
Description
Publish an order using the template given as a parameter.
DMF required:
-
DMF AB0205: Publish an order
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
sales_order_id |
The id of the sales order |
string |
Body |
publish_arguments |
The arguments for publishing order |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
published document |
Consumes
-
application/json
Produces
-
application/json
2.5.13. Search an order with read options
POST /orders/{sales_order_id}/read
Description
Get an order, with additional information of your choice (example: change tracking information).
You can add this information with Read Options. These are listed in the link below.
DMF required:
-
DMF 0203**: All features in the order module.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
sales_order_id |
The id of the sales order |
string |
Body |
read_option |
the read options for returned sales order |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Order successfully loaded |
Consumes
-
application/json
Produces
-
application/json
2.5.14. Create a quotation
PUT /quotations
Description
Create a quotation using the list of parameters below.
DMF required:
-
DMF AB0101: Create a quotation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
quotation |
The quotation to create |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Quotation successfully created |
string |
Consumes
-
application/json
Produces
-
application/json
2.5.15. Search for quotations (with search criteria)
POST /quotations/search
Description
Get the list of quotations matching the search criteria.
DMF required:
-
DMF 020204: search a quotation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
Criteria that you choose (ID, Customer, etc…) |
Consumes
-
application/json
Produces
-
application/json
2.5.16. Search a quotation by its ID
GET /quotations/{quotation_id}
Description
Get the quotation matching the specified ID.
DMF required:
-
DMF 0202**: All features in the quotation module.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
quotation_id |
The id of the quotation |
string |
Produces
-
application/json
2.5.17. Force VAT Amounts on the quotation
POST /quotations/{quotation_id}/force-vat-amount
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
quotation_id |
The id of the quotation |
string |
Body |
forced_vat_amount_list |
Information to force VAT amount on quotation lines |
< ForcedVatAmountHolder > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Return true if one or more quotation lines have been modified |
boolean |
Consumes
-
application/json
Produces
-
application/json
2.5.18. Publish a quotation
POST /quotations/{quotation_id}/publish
Description
Publish a quotation using the template given as a parameter.
DMF required:
-
DMF AB0105: Publish a quotation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
quotation_id |
The id of the quotation |
string |
Body |
publish_arguments |
The arguments for publishing quotation |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
published document |
Consumes
-
application/json
Produces
-
application/json
2.5.19. Search a quotation with read options
POST /quotations/{quotation_id}/read
Description
Get a quotation, with additional information of your choice (example: change tracking information).
You can add this information with Read Options. These are listed in the link below.
DMF required:
-
DMF 0202**: All features in the quotation module.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
quotation_id |
The id of the quotation |
string |
Body |
read_option |
the read options for returned quotation |
Consumes
-
application/json
Produces
-
application/json
2.5.20. Search for sold items (with search criteria)
POST /sold-items/search
Description
Get the list of sold items matching the search criteria.
DMF required:
-
DMF 050204: Search a sold item
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
Criteria that you choose (ID, Customer, etc…) |
Consumes
-
application/json
Produces
-
application/json
2.5.21. Bill customer with time-based billing
POST /time-based-billing/customer/{customer_id}/deliveries/generate-and-bill
Description
Bill all ongoing orders of the specified customer using time-based billing
DMF required:
-
DMF AB0410: Time-based billing
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
customer_id |
The id of the customer |
string |
Body |
objects_to_delivery |
The parameters for a time-based billing of a customer sales order and expenses |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
delivery numbers |
< string > array |
Consumes
-
application/json
Produces
-
application/json
2.5.22. Bill sales order with time-based billing
POST /time-based-billing/sales-order/{sales_order_id}/bill
Description
Bill the order given in parameter with time-based billing
DMF required:
-
DMF AB0410: Time-based billing
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
sales_order_id |
The id of the sales order |
string |
Body |
objects_to_delivery |
Parameters for a time-based billing of an order |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
delivery number |
string |
Consumes
-
application/json
Produces
-
application/json
2.5.23. Force VAT Amounts on a business document
POST /{business_document_type}/{business_document_id}/force-vat-amount
Description
Force vat amounts on the line of a specified type of business document
DMF Required:
-
DMF AB0107: Force vat amount
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
business_document_id |
The id of the object |
string |
Path |
business_document_type |
type of a Sales Business Document |
string |
Body |
forced_vat_amount_list |
Information to force VAT amount on sales document lines |
< ForcedVatAmountHolder > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Return true if one or more sales line have been modified |
boolean |
Consumes
-
application/json
Produces
-
application/json
2.6. Time-based Billing
Time-based Billing
2.6.1. Bill customer with time-based billing
POST /time-based-billing/customer/{customer_id}/deliveries/generate-and-bill
Description
Bill all ongoing orders of the specified customer using time-based billing
DMF required:
-
DMF AB0410: Time-based billing
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
customer_id |
The id of the customer |
string |
Body |
objects_to_delivery |
The parameters for a time-based billing of a customer sales order and expenses |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
delivery numbers |
< string > array |
Consumes
-
application/json
Produces
-
application/json
2.6.2. Bill sales order with time-based billing
POST /time-based-billing/sales-order/{sales_order_id}/bill
Description
Bill the order given in parameter with time-based billing
DMF required:
-
DMF AB0410: Time-based billing
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
sales_order_id |
The id of the sales order |
string |
Body |
objects_to_delivery |
Parameters for a time-based billing of an order |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
delivery number |
string |
Consumes
-
application/json
Produces
-
application/json
3. Definitions
3.1. AccountingJournal
Accounting Journal
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the accounting journal |
string |
id |
Id in database |
string |
name |
Name of the accounting journal |
string |
type |
Details about the journal type |
3.2. Action
Verb of the request to specify which type of action you will send.
Type : enum (ADD, UPDATE, REMOVE)
3.3. ActionCode
Details about the action code
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
id |
Id in database |
string |
name |
Name of the action code |
string |
3.4. ActionCode2
Details about the second action code
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the second action code |
string |
id |
Id in database |
string |
name |
Name of the action code |
string |
3.5. ActiveModule
List of active modules
Type : enum (EXPENSE_REPORTS, TIMES_RECORDING, SCHEDULE, QUOTATION, SALES_ORDER, INVOICE, PURCHASE_ORDER, QUOTE, RECEPTION, PURCHASE_INVOICE)
3.6. Activity
Division
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the activity |
string |
departmentId |
Ident of the department |
string |
endDate |
End of validity |
string (date-time) |
id |
Id in database |
string |
name |
Name of the activity |
string |
3.7. Address
Details about the address
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
cedex |
Special number assigned to a company by the French postal code |
string |
city |
City of the address |
string |
country |
Country of the address |
string |
department |
Department of the address |
string |
email |
email of the address |
string |
fax |
Fax of the address |
string |
id |
Id in database |
string |
line1 |
First line of the address |
string |
line2 |
Second line of the address |
string |
line3 |
Third line of the address |
string |
mobilePhone |
Mobile Phone of the address |
string |
phone |
Phone of the address |
string |
postalCode |
Postal code of the city |
string |
region |
Region of the address |
string |
webSite |
Web Site of the address |
string |
3.8. Alert
Alert message
| Name | Description | Schema |
|---|---|---|
level |
Level of the alert |
enum (ERROR, WARNING, INFO) |
message |
Message of the alert |
string |
3.9. AnalysisResult
AnalysisResult
| Name | Schema |
|---|---|
date |
string (date-time) |
group |
< string, object > map |
value |
number (double) |
3.10. ApplicationControlBase
Application control
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
info1 |
string |
|
info2 |
string |
|
info3 |
string |
|
info4 |
string |
|
info5 |
string |
3.11. Assignment
Assignment
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
customer |
Details about the customer |
|
customerId |
Ident of the customer |
string |
phase |
Details about the phase |
|
phaseId |
Ident of the phase |
string |
project |
Details about the project |
|
projectId |
Ident of the project |
string |
projectTask |
Details about the task |
|
projectTaskId |
Ident of the project |
string |
subPhase |
Details about the sub-phase |
|
subPhaseId |
Ident of the sub-phase |
string |
3.12. AssignmentCriteria
Criteria used to get more details about an assignment
| Name | Description | Schema |
|---|---|---|
activityId |
Ident of the activity |
|
allCompanies |
Set as True if you don’t want to filter on companies |
boolean |
companyId |
Ident of the company |
|
countAssignmentType |
Define the node type when counting an assignment tree. Used like a query parameter limit. |
|
customerId |
Ident of the customer |
|
departmentId |
Ident of the department |
|
divisionGroupId |
Ident of the division group |
|
divisionId |
Ident of the division |
|
employeeId |
Ident of the employee |
string |
employeeIdScheduled |
Idents of employees for which the project has schedules |
< string > array |
employeePartitioning |
Set as True if you want to apply the partitioning by employee |
boolean |
entityId |
Ident of the entity |
|
ignoreProjectAllCustomer |
Set as True if you want to ignore all customer projects |
boolean |
lowerAssignmentType |
Define the leaf node type when searching an assignment tree. If not set, default leaf node type is SUBPHASE or PROJECT_TASK according to the selected ActiveModule. |
|
phaseCode |
Code of the phase |
|
phaseId |
Ident of the phase |
|
projectCategorieId |
Ident of the project category |
|
projectClosed |
Set as True if you want to include closed projects |
|
projectEmployeeLinkedId |
Idents of employees linked to the project (Include projects with no employee linked) |
|
projectGroupCode |
Code of the project group |
|
projectId |
Ident of the project |
|
projectInternal |
Set as True if you want to include internal projects |
|
projectManagerId |
Ident of the project manager |
|
projectOnLeave |
Set as True if you want to include leave projects |
|
projectProductionManagerId |
Ident of the project production manager |
|
projectSubCategorieId |
Ident of the sub-category |
|
projectSubcategorieLevel2Id |
Ident of the sub-category level 2 |
|
projectTaskEmployeeLinkedId |
Idents of employees linked to the project task (Include project tasks with no employee linked) |
|
projectTaskId |
Ident of the task |
|
referentialDate |
Start referential date. If the field is not filled in, it take today’s date by default |
string (date-time) |
referentialDateEnd |
End referential date. This date must be after the referentialDate. |
string (date-time) |
subPhaseCode |
Code of the sub-phase |
|
subPhaseId |
Ident of the sub-phase |
|
tag |
You can fill in the code or name of the assignment in this field |
|
upperAssignmentType |
Define the root node type when searching an assignment tree. If this field is not filled in, default root node type is CUSTOMER. |
3.13. AssignmentNode
Assignment
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
additionalProperties |
Additonal functional properties available on this node |
< string, string > map |
assignments |
Assignment node’s child |
< AssignmentNode > array |
code |
Code of the assignment |
string |
description |
Short description of the assignment |
string |
id |
Id in database |
string |
longDescription |
Long description of the assignment |
string |
parentId |
Ident of the parent |
string |
parentType |
Details about the parent |
|
selectable |
Return True if the assignment node can be selected |
boolean |
type |
Details about the assignment type |
3.14. AssignmentReferential
Assignment referential
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
activity |
Details about the activity |
|
category |
Details about the category |
|
company |
Details about the company |
|
customer |
Details about the customer |
|
department |
Details about the departement |
|
division |
Details about the divison |
|
divisionGroup |
Details about the division grouping |
|
entity |
Details about the entity |
|
id |
Id in database |
string |
phase |
Details about the phase |
|
project |
Details about the project |
|
projectGroupCode |
Details about the code of the project group |
string |
projectManager |
Details about the project manager |
|
projectProductionManager |
Details about the production manager |
|
projectTask |
Details about the task |
|
subCategory |
Details about the sub-category |
|
subCategoryLevel2 |
Details about the second sub-category |
|
subPhase |
Details about the sub-phase |
3.15. AssignmentSubType
Subtype of Assignment
Type : enum (PROJECT_GROUP, DEPARTMENT, ACTIVITY, CATEGORY, SUB_CATEGORY, SUB_CATEGORY_2)
3.16. AssignmentType
Type of Assignment
Type : enum (COMPANY, DIVISION_GROUP, DIVISION, ENTITY, CUSTOMER, PROJECT, PHASE, SUBPHASE, PROJECT_TASK)
3.18. AxeCriteria
AxeCriteria
| Name | Schema |
|---|---|
axeType |
string |
customerAccountManagerId |
|
customerAccountManagerSupervisorId |
|
customerCountryId |
|
customerFamilyId |
|
customerGrouping1 |
|
customerGrouping2 |
|
customerId |
|
customerRegionId |
|
customerSalesmanId |
|
customerSalesmanSupervisorId |
|
customerSectorId |
|
customerState |
|
customerSubFamilyId |
|
groupCustomer |
|
phaseId |
|
projectActivityId |
|
projectCampaignId |
|
projectCompanyCode |
|
projectDepartmentId |
|
projectDivisionGroupId |
|
projectDivisionId |
|
projectEstablishmentId |
|
projectFamilyId |
|
projectFinancialManagerId |
|
projectId |
|
projectManagerId |
|
projectMarketId |
|
projectProductionManagerId |
|
projectSalesManagerId |
|
projectState |
|
projectSubFamily2Id |
|
projectSubFamilyId |
|
projectVintageId |
|
prospect |
|
subPhaseId |
3.20. AxeGroupsType
AxeGroupsType
Type : enum (PROJECT_ID, PROJECT_NAME, PROJECT_COMPANY_CODE, PROJECT_DIVISION_GROUP_ID, PROJECT_DIVISION_GROUP_NAME, PROJECT_DIVISION_ID, PROJECT_DIVISION_NAME, PROJECT_ESTABLISHMENT_ID, PROJECT_ESTABLISHMENT_NAME, PROJECT_ACTIVITY_ID, PROJECT_ACTIVITY_NAME, PROJECT_DEPARTMENT_ID, PROJECT_DEPARTMENT_NAME, PROJECT_FAMILY_ID, PROJECT_FAMILY_CODE, PROJECT_SUB_FAMILY_ID, PROJECT_SUB_FAMILY_CODE, PROJECT_SUB_FAMILY2_ID, PROJECT_SUB_FAMILY2_CODE, PROJECT_VINTAGE_ID, PROJECT_VINTAGE_CODE, PROJECT_MANAGER_ID, PROJECT_MANAGER_CODE, PROJECT_SALES_MANAGER_ID, PROJECT_SALES_MANAGER_CODE, PROJECT_FINANCIAL_MANAGER_ID, PROJECT_FINANCIAL_MANAGER_CODE, PROJECT_PRODUCTION_MANAGER_ID, PROJECT_PRODUCTION_MANAGER_CODE, PROJECT_CAMPAIGN_ID, PROJECT_CAMPAIGN_CODE, PROJECT_STATE, PROJECT_MARKET_ID, PROJECT_MARKET_CODE, PROJECT_MARKET_NAME, PHASE_ID, PHASE_CODE, PHASE_NAME, SUB_PHASE_ID, SUB_PHASE_CODE, SUB_PHASE_NAME, CUSTOMER_ID, CUSTOMER_CODE, CUSTOMER_NAME, CUSTOMER_FAMILY_ID, CUSTOMER_FAMILY_CODE, CUSTOMER_SUB_FAMILY_ID, CUSTOMER_SUB_FAMILY_CODE, CUSTOMER_GROUPING_1, CUSTOMER_GROUPING_2, CUSTOMER_SECTOR_ID, CUSTOMER_SECTOR_CODE, CUSTOMER_STATE, CUSTOMER_COUNTRY_ID, CUSTOMER_COUNTRY_NAME, CUSTOMER_COUNTRY_CODE, CUSTOMER_REGION_ID, CUSTOMER_REGION_CODE, CUSTOMER_ACCOUNT_MANAGER_ID, CUSTOMER_ACCOUNT_MANAGER_CODE, CUSTOMER_SALES_MAN_ID, CUSTOMER_SALES_MAN_CODE, CUSTOMER_ACCOUNT_MANAGER_SUPERVISOR_ID, CUSTOMER_ACCOUNT_MANAGER_SUPERVISOR_CODE, CUSTOMER_SALES_MAN_SUPERVISOR_ID, CUSTOMER_SALES_MAN_SUPERVISOR_CODE, CUSTOMER_PROSPECT, CUSTOMER_OPENING_DATE, CUSTOMER_PROFESSION, CUSTOMER_PROFESSIONAL_CATEGORY)
3.21. BillingMode
State of the Approval (Etat de l’approbation)
Type : enum (TIME_BASED, FIXED_PRICE, RECURRENT)
3.22. BusinessDocument
businessDocument (pièce de gestion)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
accountingJournalId |
ID of Accounting Journal |
string |
afterTaxAmount |
After-Tax Amount |
number (double) |
changeTracking |
Date and user in case of creation and modification |
|
comment |
Comment |
string |
companyCode |
The company code |
string |
currency |
All details about the currency |
|
currencyCode |
Code of the currency used in the document |
string |
date |
Date on the business document |
string (date-time) |
description |
Description |
string |
entityCode |
The entity code |
string |
id |
Id in database |
string |
manager |
Manager details |
|
managerId |
Id of the manager |
string |
name |
Name of the business document |
string |
number |
The number of the business document |
string |
payment |
Details about payment |
|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
preTaxAmount |
Pre-Tax Amount |
number (double) |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectedApprovalDate |
Projected approval date |
string (date-time) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
text |
Text on document |
string |
thirdPartyId |
The Id of the third-party |
string |
thirdPartyToBillId |
The Id of the third-party to bill |
string |
type |
Type of the business document |
3.23. BusinessDocumentLine
BusinessDocumentLine (ligne de pièce de gestion)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
businessDocumentId |
Id of the business document |
string |
complementName |
Description of the line |
string |
generalAccount |
General Account |
string |
id |
Id in database |
string |
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
3.24. BusinessDocumentSalesLine
BusinessDocumentSalesLine (ligne de pièce de gestion vente)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
businessDocumentId |
Id of the business document |
string |
complementName |
Description of the line |
string |
discount |
Total discount amount (on the line) in currency |
number (double) |
endDate |
Period end date |
string (date-time) |
exchangeRate |
Details about the exchange rate |
|
generalAccount |
General Account |
string |
id |
Id in database |
string |
item |
Details about the item |
|
itemId |
The Id of the sold product |
string |
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectTask |
Details about the project task. |
|
projectTaskId |
Id of the project task |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
startDate |
Period start date |
string (date-time) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
vat1 |
Details about the first VAT rate |
|
vat2 |
Details about the second VAT rate |
|
vatAmount1 |
Amount in euro with the first VAT |
number (double) |
vatAmount1Currency |
Amount in currency for the first VAT |
number (double) |
vatAmount2 |
Amount in euro for the second VAT |
number (double) |
vatAmount2Currency |
Amount in currency for the second VAT |
number (double) |
3.25. BusinessDocumentType
Type of the business document
Type : enum (QUOTATION, SALES_ORDER, QUOTE, PURCHASE_ORDER, CUSTOM_REQUEST, PURCHASE_INVOICE, EXPENSE_REPORT, INVOICE, SALES_BILLING_TABLE, PURCHASE_BILLING_TABLE, RECEPTION)
3.26. BusinessReferential
businessReferential
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
3.27. Calendar
Calendar
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
daysNotWorked |
Days not worked (ISO day of the week with 1 being Monday and 7 being Sunday) |
< integer (int32) > array |
default |
boolean |
|
holidays |
< Holiday > array |
|
id |
Id in database |
string |
name |
string |
3.28. CalendarEvent
CalendarEvent
Polymorphism : Inheritance
Discriminator : type
| Name | Description | Schema |
|---|---|---|
actionCode |
Details about the action verb |
|
actionCodeId |
Ident of the action code |
string |
changeTracking |
Date and user in case of creation and modification |
|
comment |
Comment of the calendar event |
string |
customer |
Details about the customer |
|
customerId |
Ident of the customer |
string |
date |
Date of the calendar event |
string (date-time) |
duration |
Duration of the calendar event |
number (double) |
employee |
Details about the employee |
|
employeeId |
Ident of the employee |
string |
guid |
Global identifier of the calendar event (for mobile version only) |
string |
id |
Id in database |
string |
phase |
Details about the phase |
|
phaseId |
Ident of the phase |
string |
place |
Place of the calendar event |
string |
project |
Details about the project |
|
projectId |
Ident of the project |
string |
projectTask |
Details about the task |
|
projectTaskId |
Ident of the project |
string |
subPhase |
Details about the sub-phase |
|
subPhaseId |
Ident of the sub-phase |
string |
type |
Type of the calendar event |
string |
unit |
Details about the unit of duration |
|
validated |
Return True if the calendar event is validated |
boolean |
3.29. Category
Category
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
The code of the category |
string |
companyCode |
The code of the company |
string |
endDate |
End date for using the category of the sold product |
string (date-time) |
id |
Id in database |
string |
name |
The name of the category |
string |
type |
Type of the category. |
3.30. CategoryCriteria
Criteria used on Category when doing a Category search
| Name | Description | Schema |
|---|---|---|
code |
Code of the category |
|
endDate |
End date of validity for the category |
|
id |
Ident of the category |
|
name |
Name of the category |
|
type |
Type of the category |
3.31. CategoryType
Type of category
Type : enum (SALES_ITEM, PURCHASE_ITEM, PROJECT_CATEGORY, PROJECT_SUB_CATEGORY, PROJECT_SUB_CATEGORY_LEVEL2, EMPLOYEE_CATEGORY_LEVEL1, EMPLOYEE_CATEGORY_LEVEL2, EMPLOYEE_CATEGORY_LEVEL3, CUSTOMER, TECHNICAL_DOMAIN, RETAILER, OTHER_THIRDPARTIES, WORKGROUP, VERSION, CUSTOMERS_CONTRACTS, RETAILER_CONTRACTS, DOCUMENT, TRAINING_ITEM)
3.32. ChangeTracking
History of all changes made
| Name | Description | Schema |
|---|---|---|
createdBy |
Code of the creator (user) |
|
createdById |
Id of the creator (user) |
string |
createdTime |
Creation Date |
string (date-time) |
modificationBy |
Code of the user who did the modification |
|
modificationById |
Id of the user who did the modification |
string |
modificationTime |
Date of the modification. |
string (date-time) |
3.33. Clause
Basic clause type
| Name | Description | Schema |
|---|---|---|
operator |
The operator for your operation. |
|
value |
object |
3.34. ClauseBoolean
Boolean clause type
Polymorphism : Inheritance
Discriminator : operator
| Name | Description | Schema |
|---|---|---|
operator |
The operator for your operation. |
|
value |
The value you search. |
boolean |
3.35. ClauseDate
String clause type
Polymorphism : Inheritance
Discriminator : operator
| Name | Description | Schema |
|---|---|---|
operator |
The operator for your operation. |
|
value |
The value you search. |
string (date-time) |
3.36. ClauseDouble
Double clause type
Polymorphism : Inheritance
Discriminator : operator
| Name | Description | Schema |
|---|---|---|
operator |
The operator for your operation. |
|
value |
The value you search. |
number |
3.37. ClauseOperation
Operation used by the clause
Type : enum (LIKE, IS, IS_NOT, IN, IS_NULL, IS_NOT_NULL, CLAUSES, GREATER_OR_EQUALS, GREATER, LOWER_OR_EQUALS, LOWER)
3.38. ClauseString
String clause type
Polymorphism : Inheritance
Discriminator : operator
| Name | Description | Schema |
|---|---|---|
operator |
The operator for your operation. |
|
value |
The value you search. |
string |
3.39. ColorCodes
ColorCodes
| Name | Schema |
|---|---|
color1 |
string |
color2 |
string |
color3 |
string |
3.40. Command
Command
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
endDate |
string (date-time) |
|
error |
string |
|
id |
Id in database |
string |
progress |
||
result |
string |
|
startDate |
string (date-time) |
|
status |
enum (STARTED, NOT_STARTED, FINISHED, UNKNOWN, ERROR) |
3.41. CommandProgress
Command progress status
| Name | Schema |
|---|---|
current |
integer |
max |
integer |
3.42. Company
Company (Société)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
calendar |
||
calendarId |
string |
|
code |
Code of the company |
string |
color |
string |
|
id |
Id in database |
string |
legalName |
string |
|
name |
Name of the company |
string |
3.43. CompanyBase
Company
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the company |
string |
id |
Id in database |
string |
name |
Name of the company |
string |
3.44. ContactBase
contact
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
firstName |
string |
|
id |
Id in database |
string |
name |
string |
3.45. Contract
Contract (contrat)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
endDate |
string (date-time) |
|
id |
Id in database |
string |
name |
string |
|
phaseId |
string |
|
projectId |
string |
|
reminderAlert |
string |
|
reminderDetail |
string |
|
subPhaseId |
string |
|
terminationDate |
string (date-time) |
3.46. ContractService
ContractService (prestation)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
contract |
||
contractId |
string |
|
criticalityId |
string |
|
id |
Id in database |
string |
issueTypeId |
string |
|
name |
string |
|
phaseId |
string |
|
priorityId |
string |
|
projectId |
string |
|
regression |
boolean |
|
reminderAlert |
string |
|
reminderDetail |
string |
|
severityId |
string |
|
subPhaseId |
string |
|
teamId |
string |
3.47. ControlBehavior
Field control behavior
| Name | Description | Schema |
|---|---|---|
defaultValue |
Default value of the field |
object |
enabled |
Return true if the field is enabled |
boolean |
property |
Name of the property controlled |
string |
required |
Return true if the field is required |
boolean |
visible |
Return true if the field is visible |
boolean |
3.48. Currency
Currency
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the currency |
string |
endDate |
End date for using the currency |
string (date-time) |
euro |
Returns true if the currency is in euro |
boolean |
euroRate |
Euro exchange rate |
number (double) |
id |
Id in database |
string |
name |
Name of the currency |
string |
order |
order number of the currency |
integer |
3.49. CustomField
Custom data
| Name | Description | Schema |
|---|---|---|
name |
Name of the custom data |
string |
type |
Type of the custom data |
|
value |
Value of the custom data |
object |
3.50. CustomFieldParam
Description of a parameter of custom field
| Name | Schema |
|---|---|
id |
string |
keywordId |
string |
multiLine |
boolean |
name |
string |
order |
integer (int32) |
pattern |
|
property |
string |
realOrder |
integer (int32) |
sequence |
integer (int32) |
textLimit |
integer (int32) |
type |
3.51. CustomFieldPattern
Custom data pattern
Type : enum (DATE_TIME, UPPER_CASE, LOWER_CASE, PROPER_CASE, PHONE, INTEGER, INTEGER_THOUSAND_SEPARATOR, INTEGER_ZERO_NOT_SIGNIFICANT, TWO_DIGITS_AFTER_DECIMAL_POINT, THREE_DIGITS_AFTER_DECIMAL_POINT, CURRENCY, CURRENCY_ZERO_NOT_SIGNIFICANT, URL, PERCENTAGE, PERCENTAGE_ONE_DIGIT, PERCENTAGE_TWO_DIGITS, PERCENTAGE_THREE_DIGITS, SIGNATURE, PASSWORD)
3.53. CustomerBase
Customers
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the customer |
string |
id |
Id in database |
string |
name |
Name of the customer |
string |
3.54. CustomerSiteBase
Customer Sites
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
customerId |
Code of the associated customer |
string |
id |
Id in database |
string |
name |
Name of the customer site |
string |
3.55. CustomizableResources
Customizable resources (Ressources personnalisables)
Type : enum (ISSUE, OPPORTUNITY, OPPORTUNITY_LINE, CUSTOM_REQUEST, EVENT)
3.56. DateParamHolder
Date given in parameter
| Name | Description | Schema |
|---|---|---|
date |
Date |
string (date-time) |
3.58. Department
Division
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the department |
string |
companyCode |
Code of the company |
string |
id |
Id in database |
string |
name |
Description of the department |
string |
3.59. Describable
Describable interface
| Name | Schema |
|---|---|
description |
string |
externalReport |
string |
number |
string |
title |
string |
3.60. Division
Division
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of a division |
string |
id |
Id in database |
string |
name |
Name of a division |
string |
serviceId |
Ident of the service |
string |
3.61. DivisionGrouping
Division grouping
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of a division grouping |
string |
id |
Id in database |
string |
name |
Name of a division grouping |
string |
serviceId |
Ident of the service |
string |
3.62. Document
Details about document (file or link)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
action |
Details about the action performed on the document |
|
category1 |
First category of the document |
string |
category2 |
Second category of the document |
string |
category3 |
Third category of the document |
string |
changeTracking |
Creation and modification date and user |
|
classification |
Classification of the document |
string |
companyId |
Ident of the company |
string |
createdBy |
Details about the creator of the document |
|
createdById |
Ident of the creator of the document |
string |
creationDate |
Creation date of the document |
string (date-time) |
documentType |
Type of the document |
string |
externalDMSUuid |
External ID when you use a DMS |
string |
fileName |
File name |
string |
fileUrl |
File url |
string |
id |
Id in database |
string |
lienUrl |
URL of the document |
string |
links |
Details about document’s links |
< DocumentLink > array |
original |
Return true if the document is an original |
boolean |
preview |
Preview of the document |
string |
publicationDate |
Publication date |
string (date-time) |
publishedBy |
Details about the publisher of the document. |
|
publishedById |
Ident of the publisher of the document. |
string |
sysName |
File name |
string |
title |
Title of the document |
string |
tokenPreview |
Token to request by url the preview of the document |
string |
url |
URL of the document |
string |
version |
Version of the document |
number (double) |
versionId |
Ident of the version |
string |
3.63. DocumentLink
a link between a document and any other object
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
document |
Details about the document |
|
documentId |
Ident of the document |
string |
id |
Id in database |
string |
objectId |
Ident of the object linked to the document |
string |
objectType |
Details about the type of object linked |
|
original |
Return true if the document is an original |
boolean |
3.64. DocumentVersion
DocumentVersion
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
classification |
string |
|
id |
Id in database |
string |
title |
string |
3.65. DueDate
Due date
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amount |
Amount to pay |
number (double) |
currencyCode |
Code of the currency |
string |
date |
Due date |
string (date-time) |
id |
Id in database |
string |
invoiceId |
Ident of the invoice |
string |
3.66. DueDateCriteria
Criteria used to get more details about the due date
| Name | Description | Schema |
|---|---|---|
invoiceId |
Ident of the invoice |
3.67. DutiableLine
Tax Line
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
businessDocumentId |
Id of the business document |
string |
complementName |
Description of the line |
string |
exchangeRate |
Details about the exchange rate |
|
generalAccount |
General Account |
string |
id |
Id in database |
string |
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
vat1 |
Details about the first VAT rate |
|
vat2 |
Details about the second VAT rate |
|
vatAmount1 |
Amount in euro with the first VAT |
number (double) |
vatAmount1Currency |
Amount in currency for the first VAT |
number (double) |
vatAmount2 |
Amount in euro for the second VAT |
number (double) |
vatAmount2Currency |
Amount in currency for the second VAT |
number (double) |
3.68. EmployeeBase
Employees
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
action |
The action verb. |
|
code |
Code of the employee |
string |
firstName |
First name of the employee |
string |
id |
Id in database |
string |
name |
Name of the employee |
string |
3.69. Entity
Entity
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
The code of the entity |
string |
companyId |
Ident of the company |
string |
divisionId |
Ident of the division |
string |
id |
Id in database |
string |
legalName |
Legal name of the entity |
string |
name |
The name of the entity |
string |
3.70. EntityBase
Entity
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
The code of the entity |
string |
id |
Id in database |
string |
name |
The name of the entity |
string |
3.71. EventType
Type of event
Type : enum (COMMAND_TASK, COMPANY, CUSTOMER, SUPPLIER, DIVISION, DIVISION_GROUP, EMPLOYEE, EMPLOYEE_HISTORY, ENTITY, EXPENSE, EXPENSE_REPORTS, INVOICES_CHECK, ISSUE, PHASE, PROJECT, PROJECT_TASK, SCHEDULE, SPRINT, SUB_PHASE, TASK, TIMERECORDING, DOCUMENT, YEAR, TITLE, FAMILY, SKILL, SERVICE, JOB_TYPE, MODEL_WEEK, EXPENSE_PROFILE, LANGUAGE, PROJECT_OPTIONS, PROJECT_GROUP, ACTIVITY, DEPARTMENT, REFRESH_CQRS, ALL)
3.72. ExchangeRate
Exchange Rate
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
currency |
Details about the currency |
|
currencyId |
Id of the currency |
string |
endDate |
End date for using the exchange rate |
string (date-time) |
id |
Id in database |
string |
rate |
Exchange rate to convert the amount from euro into an amount in the revelant currency |
number (double) |
startDate |
Start date for using the exchange rate |
string (date-time) |
3.73. ExpenseReceiptSummary
Details about the expense receipt
| Name | Description | Schema |
|---|---|---|
amount |
Amount on the receipt |
number (double) |
currencyCode |
Code of the currency |
string |
date |
Date of the document |
string (date-time) |
expenseTypeCode |
Code of expense’s type |
string |
filePath |
Path of the document |
string |
3.74. ForcedVatAmountHolder
VAT Amount and forced indicator holder
| Name | Description | Schema |
|---|---|---|
amount |
Forced amount |
number (double) |
businessDocumentLineId |
ID of the business document line |
string |
forced |
Returns true if the amount is forced |
boolean |
3.75. FormConfig
Form Config
| Name | Description | Schema |
|---|---|---|
deletable |
Return true if the schedule can be deleted |
boolean |
editable |
Return true if the schedule can be edited |
boolean |
fields |
Details about the control behavior linked to the field |
< ControlBehavior > array |
insertable |
Return true if the schedule can be inserted |
boolean |
3.76. Holiday
Holiday
| Name | Description | Schema |
|---|---|---|
date |
Date of the holiday |
string (date-time) |
type |
Type of holiday |
string |
3.77. IdIdentifiable
Basic type for all pojos with an API ID
| Name | Description | Schema |
|---|---|---|
id |
Id in database |
string |
3.78. Invoice
Invoice
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
accountingJournalId |
ID of Accounting Journal |
string |
afterTaxAmount |
After-Tax Amount |
number (double) |
changeTracking |
Date and user in case of creation and modification |
|
comment |
Comment |
string |
companyCode |
The company code |
string |
currency |
All details about the currency |
|
currencyCode |
Code of the currency used in the document |
string |
customer |
All the information needed about the customer |
|
customerId |
Id of the customer |
string |
customerToBill |
All the information needed about the customer to bill |
|
customerToBillId |
Id of the customer to bill |
string |
date |
Date on the business document |
string (date-time) |
description |
Description |
string |
entityCode |
The entity code |
string |
id |
Id in database |
string |
lines |
List of the invoice’s lines with their details |
< InvoiceLine > array |
manager |
Manager details |
|
managerId |
Id of the manager |
string |
name |
Name of the business document |
string |
number |
The number of the business document |
string |
payment |
Details about payment |
|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
preTaxAmount |
Pre-Tax Amount |
number (double) |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectedApprovalDate |
Projected approval date |
string (date-time) |
reference1 |
Customer reference 1 |
string |
reference2 |
Customer reference 2 |
string |
reference3 |
Customer reference 3 |
string |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
text |
Text on document |
string |
thirdPartyId |
The Id of the third-party |
string |
thirdPartyToBillId |
The Id of the third-party to bill |
string |
type |
Type of the business document |
3.79. InvoiceCriteria
Search criteria for invoices
| Name | Description | Schema |
|---|---|---|
id |
Ident of the invoices |
|
readOptions |
Options for retrieving extra information concerning the invoice |
3.80. InvoiceLine
Invoice line
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
businessDocumentId |
Id of the business document |
string |
complementName |
Description of the line |
string |
discount |
Total discount amount (on the line) in currency |
number (double) |
endDate |
Period end date |
string (date-time) |
exchangeRate |
Details about the exchange rate |
|
generalAccount |
General Account |
string |
id |
Id in database |
string |
item |
Details about the item |
|
itemId |
The Id of the sold product |
string |
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectTask |
Details about the project task. |
|
projectTaskId |
Id of the project task |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
startDate |
Period start date |
string (date-time) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
vat1 |
Details about the first VAT rate |
|
vat2 |
Details about the second VAT rate |
|
vatAmount1 |
Amount in euro with the first VAT |
number (double) |
vatAmount1Currency |
Amount in currency for the first VAT |
number (double) |
vatAmount2 |
Amount in euro for the second VAT |
number (double) |
vatAmount2Currency |
Amount in currency for the second VAT |
number (double) |
3.81. InvoiceReadOption
The options you can use to get more information about the invoice.
Polymorphism : Inheritance
Discriminator : type
| Name | Schema |
|---|---|
options |
< enum (CHANGE_TRACKING, CUSTOMER, CURRENCY, PAYMENT, MANAGER, PROJECT, PHASE, SUB_PHASE, LINE, LINE_PROJECT, LINE_PHASE, LINE_SUB_PHASE, LINE_ITEM, LINE_ITEM_CATEGORY, LINE_ITEM_SUBCATEGORY) > array |
type |
string |
3.82. Item
Item
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
category |
All details about the category of the sold product |
|
categoryId |
The Id of the category |
string |
comment |
Comment on the sold product |
string |
companyCode |
The company code |
string |
entityCode |
The entity code |
string |
family |
The category of the sold product |
string |
grouping |
The grouping of the sold product |
string |
id |
Id in database |
string |
inventory |
Returns true if the sold product is in the inventory |
boolean |
name |
Identification name |
string |
reference |
The reference of the sold product |
string |
shortName |
Abbreviated designation |
string |
subCategory |
All details about the sub-category of the sold product |
|
subCategoryId |
The Id of the sub-category |
string |
subFamily |
The sub-category of the sold product |
string |
3.83. ItemBase
Item
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
id |
Id in database |
string |
3.84. ItemLine
ItemLine
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
businessDocumentId |
Id of the business document |
string |
complementName |
Description of the line |
string |
discount |
Total discount amount (on the line) in currency |
number (double) |
endDate |
Period end date |
string (date-time) |
exchangeRate |
Details about the exchange rate |
|
generalAccount |
General Account |
string |
id |
Id in database |
string |
item |
Details about the item |
|
itemId |
The Id of the sold product |
string |
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
startDate |
Period start date |
string (date-time) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
vat1 |
Details about the first VAT rate |
|
vat2 |
Details about the second VAT rate |
|
vatAmount1 |
Amount in euro with the first VAT |
number (double) |
vatAmount1Currency |
Amount in currency for the first VAT |
number (double) |
vatAmount2 |
Amount in euro for the second VAT |
number (double) |
vatAmount2Currency |
Amount in currency for the second VAT |
number (double) |
3.86. LineTitle
Title line
| Name | Description | Schema |
|---|---|---|
lineTitleId |
Id of the title line |
number (double) |
lineTitleLabel |
Label of the title line |
string |
parentLineTitleId |
Id of the parent title line |
number (double) |
3.87. LinkedObjectType
Type of publish.
Type : enum (CUSTOMER, CONTACT, OPPORTUNITY, EVENT, CARD, ISSUE, EXPENSE, EXPENSE_REPORT, QUOTATION, SALES_ORDER, QUOTE, PURCHASE_ORDER, PURCHASE_INVOICE, INVOICE, PROJECT, SUPPLIER, DELIVERY, EMPLOYEE, CONTRACT, COMPANY, RECEPTION)
3.88. Mail
Represents all information needed to send a mail (recipient, subject and body)
| Name | Description | Schema |
|---|---|---|
body |
content of the mail as a text |
string |
cc |
Mail carbon copy recipients |
< string > array |
cci |
Mail hidden carbon copy recipients |
< string > array |
from |
Mail sender |
string |
replyTo |
Mail reply to |
string |
title |
Mail title |
string |
to |
Mail recipients |
< string > array |
3.89. Message
A message is a combination of a Mail (used to store standard information for sending a mail) and functional information. This functional information is processed by backend service to compute standard information for sending mail like an employee’s email address.
| Name | Description | Schema |
|---|---|---|
ccRecipients |
Mail recipients |
< MessageRecipient > array |
cciRecipients |
Mail recipients |
< MessageRecipient > array |
mail |
||
replyTo |
Mail recipient replyTo |
|
toRecipients |
Mail recipients |
< MessageRecipient > array |
3.90. MessageRecipient
Recipient of a message
| Name | Schema |
|---|---|
address |
string |
id |
string |
summary |
string |
type |
3.91. MessageRecipientType
Message recipient type
Type : enum (USER, EMPLOYEE, CONTACT, TEAM, MAIL_ADDRESS)
3.92. ObjectsToDeliveryTimeBasedBilling
The parameters for time-based billing
| Name | Description | Schema |
|---|---|---|
deliveryDate |
Delivery date |
string (date-time) |
expenseIds |
Id of the expenses to bill |
< string > array |
expensesComplementName |
Return true if the number of days, the employee code and the amount should be added to the label |
boolean |
groupTimesAndExpenses |
Returns true if the time recordings and expenses should be grouped |
boolean |
invoiceDate |
Date of the invoice(s) which will be created |
string (date-time) |
lines |
Details about orders to be billed |
< OrderToDeliveryTimeBasedBilling > array |
temporaryBilling |
Return True if the delivery should be billed |
boolean |
timesComplementName |
Return true if the number of days and the employee code should be added to the label |
boolean |
3.93. OpportunityBase
OpportunityBase
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
name |
string |
3.94. OrderToDelivery
Details of an order line for billing
| Name | Description | Schema |
|---|---|---|
orderId |
Id of the order |
string |
orderLineId |
Id of the order’s line |
string |
quantity |
Quantity |
number (double) |
3.95. OrderToDeliveryTimeBasedBilling
Details of an order line for time-based billing
Polymorphism : Inheritance
Discriminator : orderLineId
| Name | Description | Schema |
|---|---|---|
orderId |
Id of the order |
string |
orderLineId |
Id of the order’s line |
string |
quantity |
Quantity |
number (double) |
timeRecordingIds |
Id of the time recording linked to the order |
< string > array |
3.96. PatchElement
A JSONPatch as defined by RFC 6902
| Name | Description | Schema |
|---|---|---|
from |
A JSON-Pointer @see https://tools.ietf.org/html/rfc6901 |
string |
op |
The operation to be performed |
enum (ADD, REMOVE, REPLACE, TEST, MOVE, COPY) |
path |
A JSON-Pointer @see https://tools.ietf.org/html/rfc6901 |
string |
value |
The value to be used within the operations. |
object |
3.97. Payment
Payment
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
code |
Payment code |
string |
day |
Day of the month on which the payment will be done |
number (double) |
deadLine |
Number of days to carry out the payment |
string |
term |
Period of payment |
string |
3.98. Period
Period
| Name | Description | Schema |
|---|---|---|
from |
smaller date of the period |
string (date-time) |
granularity |
To limit the granularity to a unit other than milliseconds, pass the units as the third parameter. DAY by default. |
|
inclusivity |
inclusivity. A [ indicates inclusion of a value. A ( indicates exclusion (for the smaller date of the period, use ) and ] for the bigger one). Inclusive by default. |
string |
to |
bigger date of the period |
string (date-time) |
3.99. PeriodGranularity
Granularity of a period
Type : enum (YEAR, MONTH, DAY, HOUR, MINUTE, SECOND)
3.100. Periodicity
Periodicity
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Periodicity of payment (0 = Unique (default); 1 = Annual; 2 = Bi-annual; 3 = Quarterly; 4 = Monthly) |
|
duration |
Duration in month |
number (double) |
id |
Id in database |
string |
startDate |
Date by which the periodicity is starting |
string (date-time) |
tacitAgrement |
Returns true if the checkbox "tacit renewal" is checked |
boolean |
term |
Returns true if due, false if not due |
boolean |
3.102. PhaseBase
Phase
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of a phase |
string |
id |
Id in database |
string |
name |
Name of a phase |
string |
order |
Order number of the project |
integer (int32) |
project |
Details about the corresponding project |
|
projectId |
Id of the corresponding project |
string |
3.103. ProjectBase
Project
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
companyCode |
Code of the company |
string |
customerId |
Id of the customer |
string |
endCustomerId |
Id of the end customer |
string |
id |
Id in database |
string |
internal |
If the project is internal or not |
boolean |
leave |
Return true if the project is a leave project |
boolean |
leaveType |
Details about leave type |
|
name |
Name of a project |
string |
3.104. ProjectCommon
Shared information about projects, accross domains.
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
companyCode |
Code of the company |
string |
customerId |
Id of the customer |
string |
endCustomerId |
Id of the end customer |
string |
id |
Id in database |
string |
internal |
If the project is internal or not |
boolean |
leave |
Return true if the project is a leave project |
boolean |
leaveType |
Details about leave type |
|
name |
Name of a project |
string |
projectEnd |
End date of a project |
string (date-time) |
projectStart |
Start date of a project |
string (date-time) |
3.105. ProjectGroup
ProjectGroup
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
description |
string |
|
id |
Id in database |
string |
name |
string |
3.106. ProjectLeaveType
Type of Project leave
Type : enum (WITH_REQUEST, CALENDAR, NO_TIMERECORDING)
3.107. ProjectTaskBase
The Project task base
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
customer |
Details about the customer |
|
customerId |
Ident of the customer |
string |
endDate |
End date of the task |
string (date-time) |
id |
Id in database |
string |
name |
Name of the task |
string |
order |
Order number of the task |
integer (int32) |
phase |
The phase of the project |
|
phaseId |
The ID of the phase |
string |
project |
The project |
|
projectId |
The ID of a project |
string |
startDate |
Start date of the task |
string (date-time) |
subPhase |
The sub-phase of the project |
|
subPhaseId |
The ID of the sub-phase |
string |
3.108. PublishArguments
Required arguments to publish a document.
| Name | Description | Schema |
|---|---|---|
extension |
Document type |
string |
parameters |
Details about the template parameters |
< PublishTemplateParameter > array |
saveDocument |
Return true if the generated document is linked to the business document. |
boolean |
template |
Details about the template |
3.109. PublishContextBase
Context for publication, destined for use by specific API
| Name | Description | Schema |
|---|---|---|
contextType |
Context of the publish |
string |
displayOptions |
Options for data display |
< string, string > map |
filters |
Filter for data selection discriminating by object IDs grouped by object type |
< string, < string > array > map |
3.110. PublishTemplate
Details about the template used to publish.
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
The template code |
string |
endDate |
End of validity of the template |
string (date-time) |
extensions |
Extension types available for the document |
< string > array |
id |
Id in database |
string |
name |
The template name |
string |
path |
Path where you can find the template. |
string |
type |
Details about the template type |
3.111. PublishTemplateParameter
Parameters of a Publish template.
| Name | Description | Schema |
|---|---|---|
controlType |
Details about the type of the parameter |
|
groupName |
Name of the parameter group |
string |
labelText |
Label of the parameter |
string |
nameField |
Name of the parameter |
string |
nameFieldNext |
Name of the next parameter |
string |
pattern |
Pattern of the parameter |
string |
required |
Return true if the paramater is required |
boolean |
selectionList |
Details of each value of a LIST_BOX parameter |
< PublishTemplateParameterChoice > array |
value |
Value of the parameter |
object |
3.112. PublishTemplateParameterChoice
If controlType is equal to LIST_BOX, there is a list of each object in the list
| Name | Description | Schema |
|---|---|---|
label |
The label |
string |
value |
The value |
string |
3.113. PublishTemplateParameterType
Type of parameter.
Type : enum (TEXT_BOX, LIST_BOX, DATE_BOX, RADIO_BUTTON, CHECK_BOX, COMBO_BOX)
3.114. PublishTemplateType
Describe the Publish template type which is unique by code-modelId tuple. Allowed ModelId values depend on choosen code value.
| Name | Description | Schema |
|---|---|---|
code |
Code of the template type |
string |
modelDescription |
Description of the model |
string |
modelId |
Ident of the model |
string |
name |
Name of the template type |
string |
3.115. PublishType
Type of the published document.
Type : enum (QUOTATION, SALES_ORDER, SALES_INVOICE, QUOTE, PURCHASE_ORDER, PURCHASE_INVOICE, CUSTOMER, CUSTOM_REQUEST, EXPENSE_REPORT, EXPENSE_REPORT_LIST, SCHEDULE, TIMERECORDING)
3.116. PublishedDocument
Published Document.
| Name | Description | Schema |
|---|---|---|
documentId |
Document ID |
string |
isDocument |
Return true if the document is available in Akuiteo |
boolean |
token |
Details about the published document (whether the publish is okay or not, where you can find the document, its size) |
string |
3.117. Quotation
Quotation
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
accountingJournal |
Accounting Journal |
|
accountingJournalId |
ID of Accounting Journal |
string |
afterTaxAmount |
After-Tax Amount |
number (double) |
changeTracking |
Date and user in case of creation and modification |
|
comment |
Comment |
string |
companyCode |
The company code |
string |
contractNumber |
Contract Number |
string |
currency |
All details about the currency |
|
currencyCode |
Code of the currency used in the document |
string |
customFields |
The custom data (when present) |
< string, CustomField > map |
customer |
All the information needed about the customer |
|
customerDate |
The customer creation date |
string (date-time) |
customerId |
Id of the customer |
string |
customerToBill |
All the information needed about the customer to bill |
|
customerToBillId |
Id of the customer to bill |
string |
date |
Date on the business document |
string (date-time) |
description |
Description |
string |
edited |
Returns true if the quotation has been edited |
boolean |
entityCode |
The entity code |
string |
estimatedBillingDate |
Estimated Billing Date |
string (date-time) |
estimatedDeliveryDate |
Estimated Delivery Date |
string (date-time) |
expectedSignatureDate |
The expected signature date |
string (date-time) |
externalNumber |
Code of the external software you use. |
string |
id |
Id in database |
string |
lineTitleRattachId |
Id of the quotation’s first line |
number (double) |
lines |
List of the quotation’s lines with their details |
< QuotationLine > array |
manager |
Manager details |
|
managerId |
Id of the manager |
string |
name |
Name of the business document |
string |
notificationDate |
Notification date |
string (date-time) |
notified |
true if the quotation should be notified |
boolean |
number |
The number of the business document |
string |
payment |
Details about payment |
|
periodicity |
Periodicity |
|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
preTaxAmount |
Pre-Tax Amount |
number (double) |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectedApprovalDate |
Projected approval date |
string (date-time) |
quotationProbability |
Probability of the quotation being accepted. |
|
reference1 |
Customer reference 1 |
string |
reference2 |
Customer reference 2 |
string |
reference3 |
Customer reference 3 |
string |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
text |
Text on document |
string |
thirdPartyId |
The Id of the third-party |
string |
thirdPartyToBillId |
The Id of the third-party to bill |
string |
titleLines |
List of the quotation’s title lines |
< LineTitle > array |
type |
Type of the business document |
|
validationDate |
Date when the quotation was validated |
string (date-time) |
3.118. QuotationCriteria
Criteria used to get more details about the quotation.
| Name | Description | Schema |
|---|---|---|
id |
The Id of the quotation. |
|
readOptions |
Options for retrieving extra information concerning the quotation |
3.119. QuotationLine
Quotation line
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountDiscount |
The discount amount (when specified percentDiscount is not applicable) |
number (double) |
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
businessDocumentId |
Id of the business document |
string |
complementName |
Description of the line |
string |
contractNumber |
The contract number |
string |
discount |
Total discount amount (on the line) in currency |
number (double) |
edited |
Returns true if the quotation has been edited |
boolean |
endDate |
Period end date |
string (date-time) |
estimatedBillingDate |
Estimated date by which the quotation must be billed |
string (date-time) |
estimatedDeliveryDate |
The estimated date by which the quotation must be delivered |
string (date-time) |
exchangeRate |
Details about the exchange rate |
|
generalAccount |
General Account |
string |
id |
Id in database |
string |
item |
Details about the item |
|
itemId |
The Id of the sold product |
string |
lineTitleRattachId |
Id of the quotation’s title line |
number (double) |
name |
Name of the line |
string |
notificationDate |
Date when the quotation has been notified |
string (date-time) |
percentDiscount |
The discount percentage (when specified amountDiscount is not applicable) |
number (double) |
periodicity |
Periodicity for recurring billing (0 = Unique(default); 1 = Annuelle; 2 = Semestrielle; 3 = Trimestrielle; 4 = Mensuelle) |
|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectTask |
Details about the project task. |
|
projectTaskId |
Id of the project task |
string |
projectedBillingDate |
The date by which the quotation must be billed |
string (date-time) |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
startDate |
Period start date |
string (date-time) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
vat1 |
Details about the first VAT rate |
|
vat2 |
Details about the second VAT rate |
|
vatAmount1 |
Amount in euro with the first VAT |
number (double) |
vatAmount1Currency |
Amount in currency for the first VAT |
number (double) |
vatAmount2 |
Amount in euro for the second VAT |
number (double) |
vatAmount2Currency |
Amount in currency for the second VAT |
number (double) |
3.120. QuotationProbability
Probability of the quotation being accepted.
Type : enum (0, 1, 2, 3, 4, 9)
3.121. QuotationReadOption
The options you can use to get more information about the quotation.
Polymorphism : Inheritance
Discriminator : type
| Name | Schema |
|---|---|
options |
< enum (MANAGER, CHANGE_TRACKING, CURRENCY, PAYMENT, CUSTOMER, CUSTOMER_TO_BILL, PROJECT, PHASE, SUB_PHASE, LINE, LINE_PROJECT, LINE_PHASE, LINE_SUB_PHASE, LINE_ITEM, LINE_ITEM_CATEGORY, LINE_ITEM_SUBCATEGORY) > array |
type |
string |
3.122. ReadOption
option use to get additional information when doing a search
| Name | Schema |
|---|---|
type |
string |
3.123. SalesBusinessDocument
Sales business document
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
accountingJournalId |
ID of Accounting Journal |
string |
afterTaxAmount |
After-Tax Amount |
number (double) |
changeTracking |
Date and user in case of creation and modification |
|
comment |
Comment |
string |
companyCode |
The company code |
string |
currency |
All details about the currency |
|
currencyCode |
Code of the currency used in the document |
string |
customer |
All the information needed about the customer |
|
customerId |
Id of the customer |
string |
customerToBill |
All the information needed about the customer to bill |
|
customerToBillId |
Id of the customer to bill |
string |
date |
Date on the business document |
string (date-time) |
description |
Description |
string |
entityCode |
The entity code |
string |
id |
Id in database |
string |
manager |
Manager details |
|
managerId |
Id of the manager |
string |
name |
Name of the business document |
string |
number |
The number of the business document |
string |
payment |
Details about payment |
|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
preTaxAmount |
Pre-Tax Amount |
number (double) |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectedApprovalDate |
Projected approval date |
string (date-time) |
reference1 |
Customer reference 1 |
string |
reference2 |
Customer reference 2 |
string |
reference3 |
Customer reference 3 |
string |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
text |
Text on document |
string |
thirdPartyId |
The Id of the third-party |
string |
thirdPartyToBillId |
The Id of the third-party to bill |
string |
type |
Type of the business document |
3.124. SalesOrder
Sales order
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
accountingJournalId |
ID of Accounting Journal |
string |
afterTaxAmount |
After-Tax Amount |
number (double) |
changeTracking |
Date and user in case of creation and modification |
|
comment |
Comment |
string |
companyCode |
The company code |
string |
currency |
All details about the currency |
|
currencyCode |
Code of the currency used in the document |
string |
customer |
All the information needed about the customer |
|
customerDate |
Date of the client reference |
string (date-time) |
customerId |
Id of the customer |
string |
customerToBill |
All the information needed about the customer to bill |
|
customerToBillId |
Id of the customer to bill |
string |
date |
Date on the business document |
string (date-time) |
description |
Description |
string |
entityCode |
The entity code |
string |
id |
Id in database |
string |
lines |
List of the order’s lines with their details |
< SalesOrderLine > array |
manager |
Manager details |
|
managerId |
Id of the manager |
string |
name |
Name of the business document |
string |
number |
The number of the business document |
string |
payment |
Details about payment |
|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
preTaxAmount |
Pre-Tax Amount |
number (double) |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectedApprovalDate |
Projected approval date |
string (date-time) |
reference1 |
Customer reference 1 |
string |
reference2 |
Customer reference 2 |
string |
reference3 |
Customer reference 3 |
string |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
text |
Text on document |
string |
thirdPartyId |
The Id of the third-party |
string |
thirdPartyToBillId |
The Id of the third-party to bill |
string |
type |
Type of the business document |
3.125. SalesOrderCriteria
Criteria used to get more details about the order.
| Name | Description | Schema |
|---|---|---|
companyCode |
The company code |
|
currencyId |
Id of the currency |
|
customerId |
Id of the customer |
|
customerToBillId |
Id of the customer to bill |
|
date |
Date of creation of the order |
|
delivered |
Return true if the order is delivered |
boolean |
id |
The number of the order |
|
readOptions |
Options for retrieving additional information about the order |
|
salesJournalId |
The code of the sales journal |
|
validated |
Return true if the order is validated |
boolean |
3.126. SalesOrderDashboardCriteria
Criteria used on sales order dashboard when doing a sales order dashboard search.
| Name | Description | Schema |
|---|---|---|
line |
Search criteria used on an order line |
|
salesOrder |
Search criteria used on an order |
3.127. SalesOrderDashboardResult
Result of the request /sales/orders/dashboard
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
id |
Id in database |
string |
line |
Details about order lines |
|
salesOrder |
Details about orders |
3.128. SalesOrderLine
Sales order line
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
businessDocumentId |
Id of the business document |
string |
complementName |
Description of the line |
string |
discount |
Total discount amount (on the line) in currency |
number (double) |
endDate |
Period end date |
string (date-time) |
exchangeRate |
Details about the exchange rate |
|
generalAccount |
General Account |
string |
id |
Id in database |
string |
item |
Details about the item |
|
itemId |
The Id of the sold product |
string |
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectTask |
Details about the project task. |
|
projectTaskId |
Id of the project task |
string |
projectedBillingDate |
The date when the order must be billed |
string (date-time) |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
startDate |
Period start date |
string (date-time) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
vat1 |
Details about the first VAT rate |
|
vat2 |
Details about the second VAT rate |
|
vatAmount1 |
Amount in euro with the first VAT |
number (double) |
vatAmount1Currency |
Amount in currency for the first VAT |
number (double) |
vatAmount2 |
Amount in euro for the second VAT |
number (double) |
vatAmount2Currency |
Amount in currency for the second VAT |
number (double) |
3.129. SalesOrderLineCriteria
Criteria used to get more details about order lines.
| Name | Description | Schema |
|---|---|---|
billingMode |
Billing mode |
|
categoryId |
Id of the category of the sold item |
|
itemId |
Id of the sold item |
|
project |
Project linked to the order line |
|
subCategoryId |
Id of the sub-category of the sold item |
|
subCategoryItemType |
Type of the sub-category of the sold item |
3.130. SalesOrderReadOption
The options you can use to get more information about the order.
Polymorphism : Inheritance
Discriminator : type
| Name | Schema |
|---|---|
options |
< enum (MANAGER, CHANGE_TRACKING, CURRENCY, PAYMENT, CUSTOMER, CUSTOMER_TO_BILL, PROJECT, PHASE, SUB_PHASE, LINE, LINE_PROJECT, LINE_PHASE, LINE_SUB_PHASE, LINE_ITEM, LINE_ITEM_CATEGORY, LINE_ITEM_SUBCATEGORY) > array |
type |
string |
3.131. SalesProjectCriteria
Criteria used on Project when doing a Project search
| Name | Description | Schema |
|---|---|---|
activityId |
||
categoryId |
||
customerId |
||
customerProjectId |
||
departmentId |
||
divisionGroupingId |
||
divisionId |
||
entityId |
||
financialManagerId |
||
id |
||
managerId |
||
name |
||
productionManagerId |
||
projectGroupCode |
||
projectState |
||
referentialDate |
Date à laquelle l’affaire doit être active (en prod) |
string (date-time) |
salesManagerId |
||
subCategoryId |
||
subCategoryLevel2Id |
||
tag |
3.132. ScheduleBase
Schedules
Polymorphism : Inheritance
Discriminator : type
| Name | Description | Schema |
|---|---|---|
actionCode |
Details about the action verb |
|
actionCodeId |
Ident of the action code |
string |
changeTracking |
Date and user in case of creation and modification |
|
comment |
Comment of the calendar event |
string |
customer |
Details about the customer |
|
customerId |
Ident of the customer |
string |
date |
Date of the calendar event |
string (date-time) |
description |
Description of the schedule |
string |
done |
Return True if the schedule is done |
boolean |
duration |
Duration of the calendar event |
number (double) |
employee |
Details about the employee |
|
employeeId |
Ident of the employee |
string |
guid |
Global identifier of the calendar event (for mobile version only) |
string |
id |
Id in database |
string |
phase |
Details about the phase |
|
phaseId |
Ident of the phase |
string |
place |
Place of the calendar event |
string |
project |
Details about the project |
|
projectId |
Ident of the project |
string |
projectTask |
Details about the task |
|
projectTaskId |
Ident of the project |
string |
subPhase |
Details about the sub-phase |
|
subPhaseId |
Ident of the sub-phase |
string |
type |
Type of the calendar event |
string |
unit |
Details about the unit of duration |
|
validated |
Return True if the calendar event is validated |
boolean |
3.133. Service
Service
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the service |
string |
id |
Id in database |
string |
name |
Name of the service |
string |
3.134. Skill
Skill of an employee
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the skill |
string |
id |
Id in database |
string |
name |
Name of the skill |
string |
typeCode |
Code of the skill’s type |
string |
typeLabel |
Label of the skill’s type |
string |
3.135. SoldItem
Sold item
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
category |
All details about the category of the sold product |
|
categoryId |
The Id of the category |
string |
comment |
Comment on the sold product |
string |
companyCode |
The company code |
string |
entityCode |
The entity code |
string |
family |
The category of the sold product |
string |
grouping |
The grouping of the sold product |
string |
id |
Id in database |
string |
inventory |
Returns true if the sold product is in the inventory |
boolean |
name |
Identification name |
string |
reference |
The reference of the sold product |
string |
shortName |
Abbreviated designation |
string |
subCategory |
All details about the sub-category of the sold product |
|
subCategoryId |
The Id of the sub-category |
string |
subFamily |
The sub-category of the sold product |
string |
3.136. SoldItemCriteria
Search criteria for sold items
| Name | Description | Schema |
|---|---|---|
id |
Ident of the sold item |
|
validity |
Details about the validity of the sold item |
3.137. Steppable
Steppable interface
| Name | Schema |
|---|---|
estimate |
number (double) |
sprintId |
string |
stepId |
string |
3.138. SubCategory
Sub-Category
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
category |
Details about the category |
|
categoryId |
The Id of the sub-category |
string |
code |
The code of the category |
string |
companyCode |
The code of the company |
string |
endDate |
End date for using the category of the sold product |
string (date-time) |
id |
Id in database |
string |
name |
The name of the category |
string |
type |
Type of the category. |
3.139. SubCategoryCriteria
Criteria used on sub category when doing a sub category search
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
categoryId |
||
code |
Code of the category |
|
endDate |
End date of validity for the category |
|
id |
Ident of the category |
|
name |
Name of the category |
|
nature |
||
type |
Type of the category |
3.140. SubCategoryItem
Sub category of an item
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
category |
Details about the category |
|
categoryId |
The Id of the sub-category |
string |
code |
The code of the category |
string |
companyCode |
The code of the company |
string |
endDate |
End date for using the category of the sold product |
string (date-time) |
id |
Id in database |
string |
name |
The name of the category |
string |
subType |
Sub-type of the sub-category item |
|
type |
Type of the category. |
3.141. SubCategoryItemType
Sub type of a sub category of an item
Type : enum (PRESTATION, DISTRIBUTION, FRAIS_DE_MISSION, ACOMPTE, DIVERS, NON_RENSEIGNE, LICENCE, MAINTENANCE, DEVELOPPEMENT, SOUS_TRAITANCE, FRAIS_DE_PORT, ABONNEMENT)
3.142. SubPhaseBase
SubPhase
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of a sub-phase |
string |
id |
Id in database |
string |
name |
Name of a sub-phase |
string |
order |
Order number of the sub-phase |
integer (int32) |
phase |
Details about the corresponding phase |
|
phaseId |
Id of the corresponding phase |
string |
3.143. Subscription
subscription to listen events using SSE
| Name | Schema |
|---|---|
token |
string |
topic |
3.144. SupplierBase
Suppliers
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the supplier |
string |
id |
Id in database |
string |
name |
Name of the supplier |
string |
3.145. SupplierSiteBase
Supplier Site Base (Site Fournisseur)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
id |
Id in database |
string |
name |
string |
|
supplierId |
string |
3.146. Tag
Tag
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the tag |
string |
color |
Color of the tag |
string |
comment |
Comment of the tag |
string |
companyId |
Ident of the company |
string |
endDate |
End of validity of the tag |
string (date-time) |
icon |
Icon of the tag |
string |
id |
Id in database |
string |
name |
Name of the tag |
string |
type |
Type of the tag |
3.147. TagCriteria
Criteria used when doing a tag search
| Name | Description | Schema |
|---|---|---|
code |
Code of the tag |
|
companyId |
Ident of the company |
|
id |
Ident of the tag |
|
name |
Name of the tag |
|
tag |
You can fill in the code or name of the tag in this field |
|
type |
Type of the tag |
|
validity |
Details about validity |
3.148. TagLinked
Tag linked
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
action |
Details about the action verb |
|
code |
Code of the tag |
string |
color |
Color of the tag |
string |
comment |
Comment of the tag |
string |
companyId |
Ident of the company |
string |
endDate |
End of validity of the tag |
string (date-time) |
icon |
Icon of the tag |
string |
id |
Id in database |
string |
name |
Name of the tag |
string |
objectId |
Ident of the linked object |
string |
type |
Type of the tag |
3.150. TimeRecordingBase
TimeRecordingBase
Polymorphism : Inheritance
Discriminator : type
| Name | Description | Schema |
|---|---|---|
actionCode |
Details about the action verb |
|
actionCode2 |
Details about the second action code |
|
actionCode2Id |
Ident of the second action code |
string |
actionCodeId |
Ident of the action code |
string |
approval |
Approval of the time recording |
enum (BRUT, CONTROLE, VALIDE, GRATUIT, NON_FACTURE, FACTURE, REFUSE, DISSOCIE) |
approvalLabel |
Label of the approval |
string |
changeTracking |
Date and user in case of creation and modification |
|
comment |
Comment of the calendar event |
string |
customer |
Details about the customer |
|
customerId |
Ident of the customer |
string |
date |
Date of the calendar event |
string (date-time) |
duration |
Duration of the calendar event |
number (double) |
employee |
Details about the employee |
|
employeeId |
Ident of the employee |
string |
guid |
Global identifier of the calendar event (for mobile version only) |
string |
id |
Id in database |
string |
phase |
Details about the phase |
|
phaseId |
Ident of the phase |
string |
place |
Place of the calendar event |
string |
project |
Details about the project |
|
projectId |
Ident of the project |
string |
projectTask |
Details about the task |
|
projectTaskId |
Ident of the project |
string |
subPhase |
Details about the sub-phase |
|
subPhaseId |
Ident of the sub-phase |
string |
type |
Type of the calendar event |
string |
unit |
Details about the unit of duration |
|
validated |
Return True if the calendar event is validated |
boolean |
3.152. Topic
topic to listen events
| Name | Schema |
|---|---|
action |
string |
id |
string |
type |
3.153. UnitDuration
Unit of duration
Type : enum (MINUTE, HOUR_MINUTE, HOUR_DECIMAL, DAY, UNIT_OF_EMPLOYEE)
3.154. UserBase
User
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the user |
string |
firstname |
First name of the user |
string |
id |
Id in database |
string |
name |
Name of the user |
string |
3.156. VAT
VAT
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
VAT code |
string |
companyCode |
The company code |
string |
endDate |
End date of the VAT |
string (date-time) |
id |
Id in database |
string |
name |
Name |
string |
rate |
VAT rate in percentage |
number (double) |
reduced |
Returns true if the rate is reduced |
boolean |
startDate |
Start date of the VAT |
string (date-time) |
3.157. VATBase
VAT
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
code |
VAT code |
string |
rate |
VAT rate in percentage |
number (double) |
3.158. Validity
Validity criteria
| Name | Description | Schema |
|---|---|---|
date |
End date of validity |
string (date-time) |
type |
Details about the type of validity. |
4. Security
4.1. basicAuth
Type : basic
5. Deprecated fields
| Definition | Field | Information |
|---|---|---|
Item View |
family |
Use category instead |
Item View |
subFamily |
Use subCategory instead |
Document View |
createdBy |
Use changeTracking.createdBy instead |
Document View |
createdById |
Use changeTracking.createdById instead |
Document View |
creationDate |
Use changeTracking.creationDate instead |
Document View |
sysName |
Use fileName instead |
6. Lexique multilingue des termes Akuiteo
| Anglais | Français |
|---|---|
year |
millésime |
* company |
société * |
account |
compte |
accounting |
comptabilité |
accounting export |
export comptable |
accounting journal |
journal comptable |
achievement project |
affaire de réalisation |
action |
action |
action code |
code action |
activity |
activité |
activity report |
rapport d’activité |
after-tax amount |
montant TTC |
aging schedule |
balance âgée |
alert |
alerte |
allocation |
affectation |
amortization |
amortissement |
application control |
pilote applicatif |
appointment |
rendez-vous |
approval |
approbation |
approval type |
type d’approbation |
approver |
approbateur |
archived |
archivé |
arrears |
arriéré |
Authorization |
Autorisation |
automatic numbering |
numérotation automatique |
average daily cost |
coût journalier moyen |
balance |
solde |
balance sheet |
bilan |
bank account details |
RIB |
bank details |
coordonnées bancaires |
bank reconciliation |
rapprochement bancaire |
bank statement |
relevé bancaire |
bank transfer |
virement bancaire |
banking |
trésorerie (module) |
billable |
facturable |
billed |
facturé |
billing |
facturation |
billing table |
tableau de facturation |
blocking rule |
règle de blocage |
booked |
comptabilisé |
Bookmarks |
Favoris |
budget |
budget |
budget control |
contrôle budgétaire |
campaign |
campagne |
cancel |
annuler |
canceled |
annulé |
capital asset |
immobilisation |
carry forwards |
à nouveaux |
cash flow |
trésorerie |
category |
famille |
charge project |
affaire de charge |
charging |
imputation |
chart of accounts (COA) |
plan comptable |
checkbook |
chéquier |
checking |
pointage |
clearing journal |
journal de compensation |
closing |
arrêté |
closure |
clôture |
company |
société |
complete |
terminer |
completed |
terminé |
completion |
terminaison |
contact |
contact |
control template |
modèle de contrôle |
cost |
charge |
credit |
crédit |
credit note |
avoir |
criticality |
criticité |
CRM |
CRM |
CRM query |
Requêteur CRM |
cross-function |
transverse |
currency |
devise |
custom control |
contrôle paramétrable |
custom data |
donnée personnalisée |
custom request |
demande interne |
customer |
client |
Customer Portal |
Portail Client |
customer to bill |
client à facturer |
dashboard |
tableau de bord |
deactivate |
désactiver |
debit |
débit |
deferred expenses |
CCA (charges constatées d’avance |
delete |
supprimer |
deletion |
suppression |
delivery |
livraison |
delivery note |
bordereau |
dialog box |
boîte de dialogue |
direct debit |
prélèvement bancaire |
disbursement |
décaissement |
discharge |
quittance |
discount |
remise |
division |
division |
division grouping |
regroupement de division |
DMF |
DMF |
document |
document |
Document Management System (DMS) |
Gestion électronique des documents (GED) |
doubtful customer |
client douteux |
down payment |
acompte |
due date |
échéance |
dunning email |
e-mail de relance |
dunning letter |
lettre de relance |
duplicate |
dupliquer |
Edit |
Edition |
edit |
modifier |
employee |
collaborateur (salarié) |
employee number |
matricule (collaborateur) |
Employee Portal |
Portail Collaborateur |
employee schedule |
planning collaborateur |
entity |
établissement |
event |
événement |
event category |
catégorie d’événement |
exchange rate |
taux de change |
expense report |
note de frais |
expense type |
nature de dépense |
factoring |
affacturage |
feature |
fonction (application) |
finances |
finances |
fiscal year |
exercice |
follow-up |
suivi |
GDPR |
RGPD |
General Setup |
Paramétrage Général |
group |
groupe |
grouping |
regroupement |
Guaranteed Fault Repair Time |
GTR |
Guaranteed Response Time |
GTI |
header |
en-tête |
Helpdesk |
Support |
history |
historique |
IDB |
TBI |
identification |
désignation |
in progress |
en cours |
Indicator DashBoard |
Tableau de Bord Interactif |
info 1 |
info 1 |
input |
saisie |
intercompany |
intra-groupe (cross org) |
internal account |
compte interne |
inventory |
stock |
invoice |
facture |
issue |
demande (support) |
journal entry |
écriture comptable |
label |
libellé |
labor subleasing |
prêt de main d’œuvre |
leave request |
demande d’absence |
leave type |
nature d’absence |
legal structure |
forme juridique |
line |
ligne |
log in |
se connecter |
log out |
se déconnecter |
lost opportunity |
opportunité perdue |
maintained product |
produit maintenu |
maintenance contract |
contrat de maintenance |
management |
gestion |
management object |
pièce de gestion |
management rule |
règle de gestion |
manager |
responsable |
Manager Portal |
Portail Manager |
mandate |
mandat |
matching |
lettrage |
miscellaneous operations |
opérations diverses |
mission |
mission |
non-billable |
non-facturable |
note |
note |
occupancy rate |
taux d’occupation |
operating account |
compte d’exploitation |
opportunity |
opportunité |
opportunity pipeline |
portefeuille d’opportunités |
order |
commande |
order form |
bon de commande |
owner |
propriétaire |
paid invoice |
facture soldée |
partitioning |
cloisonnement |
payment |
règlement |
payment authorization |
bon à payer |
pending |
en attente |
phase |
lot |
planned workload |
plan de charge |
position |
fonction (collaborateur) |
pre-tax amount |
montant HT |
éditer |
|
product |
produit |
profitability |
rentabilité |
project |
affaire |
project group |
marché |
project task |
tâche |
projected billing table |
tableau de facturation prévisionnelle |
Properties |
Propriétés |
proposal |
proposition |
prospect |
prospect |
purchase |
achats |
purchase invoice |
facture fournisseur |
purchase order |
commande fournisseur |
purchased product |
produit acheté |
qualification level |
niveau d’habilitation |
quotation |
devis |
quote |
cotation |
rank number |
numéro d’ordre |
receipt |
encaissement |
receipt |
justificatif |
reception |
réception |
recipient |
destinataire |
recognized revenue |
CA reconnu |
reconciliation account |
compte collectif |
record sheet |
fiche |
recovery |
recouvrement |
recurring billing |
facturation récurrente |
reference |
référence |
rejected |
refusé |
renewal |
renouvellement |
report template |
modèle d’édition |
required |
obligatoire |
resolved |
résolu |
resources |
collaborateurs |
retention money |
retenue de garantie |
revenue |
chiffre d’affaire |
revenue recognition |
reconnaissance du CA |
sales |
ventes |
sales contract |
contrat client |
sales invoice |
facture client |
sales order |
commande client |
schedule |
planning |
scheduled item |
élément de planning |
screen |
écran |
search results |
résultats de recherche |
secondment |
détachement |
serial number |
numéro de série |
service |
prestation |
service |
service |
setup |
paramétrage |
severity |
gravité |
SIA (sales invoice accruals) |
[...]
